Summary:	libXcursor - X Window System Cursor management library
Summary(pl.UTF-8):	Biblioteka libXcursor do zarządzania kursorami w systemie X Window
Name:		xorg-lib-libXcursor
Version:	1.2.3
Release:	2%{?tld}
License:	MIT
Group:		X11/Libraries
Source0:	https://xorg.freedesktop.org/releases/individual/lib/libXcursor-%{version}.tar.xz
# Source0-md5:	5ce55e952ec2d84d9817169d5fdb7865
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libtool >= 2:2
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	sed >= 4.0
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXfixes-devel
BuildRequires:	xorg-lib-libXrender-devel >= 0.8.2
BuildRequires:	xorg-proto-fixesproto-devel
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xz
Requires:	xorg-lib-libXrender >= 0.8.2
Obsoletes:	XFree86-xcursor < 4.4
Obsoletes:	libXcursor < 1.2
Obsoletes:	xcursor < 1.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libXcursor - X Window System Cursor management library.

%description -l pl.UTF-8
Biblioteka libXcursor do zarządzania kursorami w systemie X Window.

%package devel
Summary:	Header files for libXcursor library
Summary(pl.UTF-8):	Pliki nagłówkowe do biblioteki libXcursor
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	xorg-lib-libX11-devel
Requires:	xorg-lib-libXfixes-devel
Requires:	xorg-lib-libXrender-devel >= 0.8.2
Obsoletes:	XFree86-xcursor-devel < 4.4
Obsoletes:	libXcursor-devel < 1.2
Obsoletes:	xcursor-devel < 1.1

%description devel
libXcursor - X Window System Cursor management library.

This package contains the header files needed to develop programs that
use libXcursor.

%description devel -l pl.UTF-8
Biblioteka libXcursor do zarządzania kursorami w systemie X Window.

Pakiet zawiera pliki nagłówkowe niezbędne do kompilowania programów
używających biblioteki libXcursor.

%package static
Summary:	Static libXcursor library
Summary(pl.UTF-8):	Biblioteka statyczna libXcursor
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	XFree86-xcursor-static < 4.4
Obsoletes:	libXcursor-static < 1.2
Obsoletes:	xcursor-static < 1.1

%description static
libXcursor - X Window System Cursor management library.

This package contains the static libXcursor library.

%description static -l pl.UTF-8
Biblioteka libXcursor do zarządzania kursorami w systemie X Window.

Pakiet zawiera statyczną bibliotekę libXcursor.

%prep
%setup -q -n libXcursor-%{version}

# support __libmansuffix__ with "x" suffix (per FHS 2.3)
%{__sed} -i -e 's,\.so man__libmansuffix__/,.so man3/,' man/*.man

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libXcursor.la

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README.md
%attr(755,root,root) %{_libdir}/libXcursor.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libXcursor.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libXcursor.so
%dir %{_includedir}/X11/Xcursor
%{_includedir}/X11/Xcursor/Xcursor.h
%{_pkgconfigdir}/xcursor.pc
%{_mandir}/man3/Xcursor*.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libXcursor.a
%changelog
* Tue Dec 03 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/xorg-lib-libXcursor.git;a=log;h=master

* Sun Nov 17 2024 Jakub Bogusz <qboosh@pld-linux.org> 195f3c3
- drop .la file, release 2

* Thu Nov 07 2024 Jakub Bogusz <qboosh@pld-linux.org> b926eef
- updated to 1.2.3

* Sun Mar 03 2024 Jakub Bogusz <qboosh@pld-linux.org> 03d3d45
- updated to 1.2.2

* Thu Apr 14 2022 Jakub Bogusz <qboosh@pld-linux.org> 74683a4
- updated to 1.2.1

* Tue Mar 12 2019 Jakub Bogusz <qboosh@pld-linux.org> 2c893c7
- updated to 1.2.0; now supports XDG user data path (~/.local/share/icons)

* Tue Nov 28 2017 Jakub Bogusz <qboosh@pld-linux.org> 5515eee
- updated to 1.1.15 (fixes CVE-2017-16612)

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 8fbe698
- x32 rebuild
- release 2 (by relup.sh)

* Wed Dec 24 2014 Jan Rękorajski <baggins@pld-linux.org> b7aef19
- fixed files

* Wed Jun 05 2013 Jakub Bogusz <qboosh@pld-linux.org> 29f82cb
- unified .so man links fix wrt "x" suffix

* Fri May 31 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 129b897
- up to 1.1.14; fixes CVE-2013-2003

* Thu Mar 08 2012 Jakub Bogusz <qboosh@pld-linux.org> 297a2db
- updated to 1.1.13

* Thu Jun 30 2011 Jakub Bogusz <qboosh@pld-linux.org> 6c09e7f
- updated to 1.1.12

* Thu Oct 28 2010 Jakub Bogusz <qboosh@pld-linux.org> 25c79b9
- updated to 1.1.11

* Thu Nov 12 2009 Patryk Zawadzki <patrys@room-303.com> ba42aff
- rebuild
- rel 2

* Wed Sep 30 2009 Jakub Bogusz <qboosh@pld-linux.org> e82658b
- updated util-macros version
- ghost soname symlink
- added README to doc
- more verbose files and descs

* Fri Sep 04 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 97efc54
- up to 1.1.10

* Wed Nov 05 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 4a7f3ad
- release 2

* Fri Aug 24 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 8411afa
- up to 1.1.9

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> b596a28
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 94255fb
- converted to UTF-8

